commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Herbert <alex.d.herb...@gmail.com>
Subject Re: [exec] Update from Java 5 to 6
Date Wed, 09 Oct 2019 17:10:41 GMT
On 09/10/2019 14:12, Gary Gregory wrote:
> Hi All,
>
> I'd like to update Commons Exec from Java 5 to 6 to get it to build on Java
> 11.
>
> Gary

Gary changed git master to update to 1.6 but travis was not able to 
build for older JDKs.

I have tried following the recommended instructions for their trusty 
distribution to use JDK 6 [1]. This did not work [2]. It would appear 
that travis cannot support openjdk6 any more.

Using 'dist: trusty' allows a clean build on JDK 7, 8, 11.

I recommend dropping openjdk6 from the build matrix.

Other items from the .travis.yml are the broken configuration for the 
coveralls report. This can be fixed separately as the pom needs some 
updating.

Alex

[1] 
https://docs.travis-ci.com/user/reference/trusty/#jvm-clojure-groovy-java-scala-images

[2] https://travis-ci.org/apache/commons-exec/builds/595713743


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message